#pragma once

//#include <windows.h>
//#include <stdio.h>

#define CATEGORY1	0x1

#define MSG_SUCCESS	0x101
#define MSG_INFO	0x102
#define MSG_WARN	0x103
#define MSG_ERROR	0x104

/* wType (not dwEventID)
	EVENTLOG_SUCCESS			0x0000	Information event 
	EVENTLOG_AUDIT_FAILURE		0x0010	Failure Audit event 
	EVENTLOG_AUDIT_SUCCESS		0x0008	Success Audit event 
	EVENTLOG_ERROR_TYPE			0x0001	Error event 
	EVENTLOG_INFORMATION_TYPE	0x0004	Information event 
	EVENTLOG_WARNING_TYPE		0x0002	Warning event 
*/

const LPTSTR pcszLogName = _T("Application");
const LPTSTR pcszMsgDLLName = _T("PIVVSCRMSG.dll");
const DWORD dwCategoryCount = 1;

BOOL AddEventSource(LPCTSTR pszLogName, LPCTSTR pszSrcName, LPCTSTR pszMsgDLL, DWORD dwNum);
void MyReportEvent(LPCTSTR pszSrcName, WORD wType, DWORD dwEventID, WORD wCategory, WORD cInserts, LPCTSTR *szMsg);

BOOL AddDefaultEventSource(LPCTSTR pszSourceName);
void ReportDefaultSuccessEvent(LPCTSTR pszSourceName, LPCTSTR szMsg);
void ReportDefaultInformationEvent(LPCTSTR pszSourceName, LPCTSTR szMsg);
void ReportDefaultWarningEvent(LPCTSTR pszSourceName, LPCTSTR szMsg);
void ReportDefaultErrorEvent(LPCTSTR pszSourceName, LPCTSTR szMsg);
