#pragma once

enum EVENT_TYPE {CARD_INSERTED, CARD_REMOVED};

typedef struct _EVENT_INFO {
	EVENT_TYPE eType;
	int dHour;
	int dMinute;
	int dSecond;
} EVENT_INFO, *PEVENT_INFO;


class CEventThread
{
private:
	HANDLE m_hThread;

	void ReadEvents();

public:
	CList<EVENT_INFO, EVENT_INFO&> m_clEvents;
	bool m_bStopping;

	CEventThread();
	~CEventThread();

	DWORD Start();
	void Stop();
};
