// Application - Generic Application for the Reference Implementation Framework
//
// COPYRIGHT
// ---------
// The software was developed by the National Institute of Standards and 
// Technology (NIST), an agency of the Federal Government.  Pursuant to 
// Title 15 United States Code Section 105, works of NIST are not subject
// to copyright protection in the United States and are considered to be
// in the public domain.  As a result, a formal license is not needed to
// use the software.
// 
// The Government Smart Card Reference Implementation software is provided
// by NIST as a service and is expressly provided "AS IS."  
// NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, 
// INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY.
// NIST does not warrant or make any representations regarding the use of
// the software or the results thereof, including but not limited to the
// correctness, accuracy, reliability or usefulness of the software.
// 
// Permission to use this software is contingent upon your acceptance of 
// the terms of this agreement and upon your providing appropriate
// acknowledgments of NIST's ownership of the software.

#if defined(_WIN32) && defined(_DEBUG)
#include <windows.h>
#endif
#include <Application.h>
#include <macros.h>


long Application::initialize ( int v )
{
  return 0 ;
}

long Application::finalize ( )
{
  return 0 ;
}

long Application::create_runnable_instance ( const unsigned long flags ,
                                             const Octet_String & module_AID ,
                                             const Octet_String & requested_instance_AID ,
                                             const Octet_String & install_parameters ,
                                             Octet_String & created_instance_AID )
{
  return 1 ;
}


long Application::connect_runnable_instance ( const Octet_String & module_AID )
  {
    return 1 ;
  }

