#pragma once

#define PIVVSCR_DEBUG_FILE				_T("C:\\pivvscr.log")

void SvcDebugHexToStr(UCHAR* pData, ULONG ulDataSize, char* pszStr, ULONG ulStrSize);

void SvcDebugOut(LPCTSTR lpszString);
void SvcDebugOut(LPCTSTR lpszString, DWORD dwStatus);

// debug log routines
void SvcDebugCloseLog();
void SvcDebugPrintLog(const char *message);
void SvcDebugPrintLog2(const char *message, int len);

#ifdef _DEBUG
#define PIVVSCR_DEBUG(MESSAGE)			SvcDebugPrintLog(MESSAGE)
#else
#define PIVVSCR_DEBUG(MESSAGE)
#endif

#ifdef _DEBUG
#define PIVVSCR_DEBUG2(MESSAGE, LEN)	SvcDebugPrintLog2(MESSAGE, LEN)
#else
#define PIVVSCR_DEBUG2(MESSAGE, LEN)
#endif